#include <bits/stdc++.h>
#define int long long
using namespace std;
const int maxn = 1e5 + 7;
const int maxw = 8192;
int pref[maxn];
bool dali[maxn];
int n;
inline bool check(int xorr)
{
    for (int i = 1; i <= n; i++)
    {
        int target = pref[i] ^ xorr;
        if (dali[target])
        {
            return true;
        }
    }
    return false;
}
signed main()
{

    cin >> n;
    dali[0] = true;
    for (int i = 0; i < n - 1; i++)
    {
        int a, b, w;
        cin >> a >> b >> w;
        pref[b] = pref[a] ^ w;
        dali[pref[b]] = true;
    }

    for (int i = maxw; i >= 0; i--)
    {
        if (check(i))
        {
            cout << i << endl;
            return 0;
        }
    }

    return 0;
}
